<template>
    <q-dialog ref="dialogRef">
        <q-card class="q-dialog-plugin">
            <q-card-section class="text-center">
                <q-icon color="teal" name="comment" size="60px"></q-icon>
                <p class="q-mt-md text-blue-grey-9 text-bold text-h6">&nbsp;&nbsp;Deseja mesmo pedir atenção ao timeCamp?</p>
            </q-card-section>
            <q-card-actions align="center">
                <q-btn class="full-width" color="green-8" label="Mandar" @click="onOKClick" />
            </q-card-actions>
        </q-card>
    </q-dialog>
</template>

<script setup>
import { useDialogPluginComponent } from 'quasar'

const { dialogRef, onDialogOK, onDialogCancel } = useDialogPluginComponent()

function onOKClick () {
    onDialogOK('OK')
}

function onCancelClick () {
    onDialogCancel();
}
</script>
